## r-cran-dosnow 1.0.3

=== DESCRIPTION ===
Package: doSNOW
Type: Package
Title: Foreach parallel adaptor for the snow package
Version: 1.0.3
Author: REvolution Computing
Maintainer: REvolution Computing <packages@REvolution-computing.com>
Description: Provides a parallel backend for the %dopar% function using
        Luke Tierney's snow package.
Depends: R (>= 2.5.0), foreach(>= 1.2.0), iterators(>= 1.0.0), snow(>=
        0.3.0), utils
License: GPL-2
Packaged: 2009-08-20 21:25:15 UTC; weston
Repository: CRAN
Date/Publication: 2009-08-21 05:15:15

## r-cran-dosnow 1.0.6

=== DESCRIPTION ===
Package: doSNOW
Type: Package
Title: Foreach parallel adaptor for the snow package
Version: 1.0.6
Author: Revolution Analytics
Maintainer: Revolution Analytics <packages@revolutionanalytics.com>
Description: Provides a parallel backend for the %dopar% function using
        Luke Tierney's snow package.
Depends: R (>= 2.5.0), foreach(>= 1.2.0), iterators(>= 1.0.0), snow(>=
        0.3.0), utils
Suggests: compiler
License: GPL-2
Repository: CRAN
Repository/R-Forge/Project: dosnow
Repository/R-Forge/Revision: 6
Packaged: 2012-04-12 16:17:09 UTC; rforge
Date/Publication: 2012-04-16 06:09:52

## r-cran-dosnow 1.0.9

=== DESCRIPTION ===
Package: doSNOW
Type: Package
Title: Foreach parallel adaptor for the snow package
Version: 1.0.9
Author: Revolution Analytics
Maintainer: Revolution Analytics <packages@revolutionanalytics.com>
Description: Provides a parallel backend for the %dopar% function using
        Luke Tierney's snow package.
Depends: R (>= 2.5.0), foreach(>= 1.2.0), iterators(>= 1.0.0), snow(>=
        0.3.0), utils
Suggests: compiler
License: GPL-2
Repository: CRAN
Repository/R-Forge/Project: dosnow
Repository/R-Forge/Revision: 12
Repository/R-Forge/DateTimeStamp: 2013-10-28 18:44:35
Date/Publication: 2013-10-29 22:41:22
Packaged: 2013-10-28 19:15:26 UTC; rforge
NeedsCompilation: no

## r-cran-dosnow 1.0.14

=== DESCRIPTION ===
Package: doSNOW
Type: Package
Title: Foreach Parallel Adaptor for the 'snow' Package
Version: 1.0.14
Authors@R: c(person("Rich", "Calaway", role="cre",
					email = "richcala@microsoft.com"), 
             person("Revolution Analytics", role=c("aut","cph")),
			 person("Stephen", "Weston", role="aut"))
Description: Provides a parallel backend for the %dopar% function using
        Luke Tierney's snow package.
Depends: R (>= 2.5.0), foreach(>= 1.2.0), iterators(>= 1.0.0), snow(>=
        0.3.0), utils
Suggests: compiler, RUnit, caret, mlbench, rpart
License: GPL-2
Author: Rich Calaway [cre],
  Revolution Analytics [aut, cph],
  Stephen Weston [aut]
Maintainer: Rich Calaway <richcala@microsoft.com>
Repository: CRAN
Repository/R-Forge/Project: dosnow
Repository/R-Forge/Revision: 27
Repository/R-Forge/DateTimeStamp: 2015-10-13 20:31:49
Date/Publication: 2015-10-14 09:53:50
NeedsCompilation: no
Packaged: 2015-10-13 20:45:25 UTC; rforge

## r-cran-dosnow 1.0.16

=== DESCRIPTION ===
Package: doSNOW
Type: Package
Title: Foreach Parallel Adaptor for the 'snow' Package
Version: 1.0.16
Authors@R: c(person("Rich", "Calaway", role="cre",
					email = "richcala@microsoft.com"), 
             person("Microsoft", "Corporation", role=c("aut","cph")),
			 person("Stephen", "Weston", role="aut"))
Description: Provides a parallel backend for the %dopar% function using
        the snow package of Tierney, Rossini, Li, and Sevcikova.
Depends: R (>= 2.5.0), foreach(>= 1.2.0), iterators(>= 1.0.0), snow(>=
        0.3.0), utils
Suggests: compiler, RUnit, caret, mlbench, rpart, parallel
License: GPL-2
Author: Rich Calaway [cre],
  Microsoft Corporation [aut, cph],
  Stephen Weston [aut]
Maintainer: Rich Calaway <richcala@microsoft.com>
Repository: CRAN
Repository/R-Forge/Project: dosnow
Repository/R-Forge/Revision: 31
Repository/R-Forge/DateTimeStamp: 2017-12-08 23:07:26
Date/Publication: 2017-12-13 08:59:05 UTC
NeedsCompilation: no
Packaged: 2017-12-08 23:32:40 UTC; rforge

=== debian/changelog ===
r-cran-dosnow (1.0.16-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 Jun 2018 20:39:10 -0500

r-cran-dosnow (1.0.16-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Dec 2017 14:28:40 -0600

r-cran-dosnow (1.0.15-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}
  * debian/compat: Increase level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Oct 2017 10:03:17 -0500

r-cran-dosnow (1.0.14-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Oct 2015 20:23:53 -0500

r-cran-dosnow (1.0.12-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 14 Mar 2014 07:01:05 -0500

r-cran-dosnow (1.0.11-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Feb 2014 14:47:15 -0600

r-cran-dosnow (1.0.9-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Oct 2013 21:39:19 -0500

r-cran-dosnow (1.0.7-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 06 Jun 2013 06:26:52 -0500

r-cran-dosnow (1.0.6-3) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 31 Mar 2013 12:41:10 -0500

r-cran-dosnow (1.0.6-2) unstable; urgency=low

  * debian/control: Added r-cran-snow to Depends	(Closes: #700498)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Feb 2013 09:33:14 -0600

r-cran-dosnow (1.0.6-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Apr 2012 08:34:39 -0500

r-cran-dosnow (1.0.5-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 May 2011 14:38:51 -0500

r-cran-dosnow (1.0.3-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Nov 2009 09:51:46 -0600

r-cran-dosnow (1.0.3-1) unstable; urgency=low

  * Initial Debian package				(Closes: #542860)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Aug 2009 15:02:10 -0500

=== debian/control ===
Source: r-cran-dosnow
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-snow, r-cran-foreach, r-cran-iterators
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-dosnow
Vcs-Git: https://salsa.debian.org/edd/r-cran-dosnow.git
Homepage: https://cran.r-project.org/package=doSNOW

Package: r-cran-dosnow
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, r-cran-multicore, r-cran-foreach, r-cran-iterators, r-cran-snow
Description: GNU R parallel excution backend for %dopar% using snow
 This package provides a parallel backend for the %dopar% function using
 Luke Tierney's snow package (which itself can wrap MPI, PVM, NWS or sockets).

## r-cran-dosnow 1.0.18

=== DESCRIPTION ===
Package: doSNOW
Type: Package
Title: Foreach Parallel Adaptor for the 'snow' Package
Version: 1.0.18
Authors@R: c(person("Hong", "Ooi", role="cre",
					email = "hongooi@microsoft.com"), 
             person("Microsoft", "Corporation", role=c("aut","cph")),
			 person("Stephen", "Weston", role="aut"))
Description: Provides a parallel backend for the %dopar% function using
        the snow package of Tierney, Rossini, Li, and Sevcikova.
Depends: R (>= 2.5.0), foreach(>= 1.2.0), iterators(>= 1.0.0), snow(>=
        0.3.0), utils
Suggests: compiler, RUnit, caret, mlbench, rpart, parallel
License: GPL-2
NeedsCompilation: no
Packaged: 2019-07-16 22:53:23 UTC; richcala
Author: Hong Ooi [cre],
  Microsoft Corporation [aut, cph],
  Stephen Weston [aut]
Maintainer: Hong Ooi <hongooi@microsoft.com>
Repository: CRAN
Date/Publication: 2019-07-27 22:00:04 UTC

=== debian/changelog ===
r-cran-dosnow (1.0.18-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 27 Jul 2019 19:19:37 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-snow, r-cran-foreach, r-cran-iterators
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-snow, r-cran-foreach, r-cran-iterators
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-dosnow
 Vcs-Git: https://salsa.debian.org/edd/r-cran-dosnow.git
 Homepage: https://cran.r-project.org/package=doSNOW

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-dosnow package
# Copyright 2005 - 2009 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-dosnow 1.0.19

=== DESCRIPTION ===
Package: doSNOW
Type: Package
Title: Foreach Parallel Adaptor for the 'snow' Package
Version: 1.0.19
Authors@R: c(person("Michelle", "Wallig", role="cre", email = "Michelle.Wallig@microsoft.com"), 
             person("Microsoft", "Corporation", role=c("aut","cph")),
             person("Stephen", "Weston", role="aut"))
Description: Provides a parallel backend for the %dopar% function using
        the snow package of Tierney, Rossini, Li, and Sevcikova.
Depends: R (>= 2.5.0), foreach(>= 1.2.0), iterators(>= 1.0.0), snow(>=
        0.3.0), utils
Suggests: compiler, RUnit, caret, mlbench, rpart, parallel
License: GPL-2
NeedsCompilation: no
Packaged: 2020-10-14 19:49:10 UTC; hongo
Author: Michelle Wallig [cre],
  Microsoft Corporation [aut, cph],
  Stephen Weston [aut]
Maintainer: Michelle Wallig <Michelle.Wallig@microsoft.com>
Repository: CRAN
Date/Publication: 2020-10-16 06:20:07 UTC

=== debian/changelog ===
r-cran-dosnow (1.0.19-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Oct 2020 10:56:23 -0500

r-cran-dosnow (1.0.18-2) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 May 2020 08:55:11 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-snow, r-cran-foreach, r-cran-iterators
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r, r-cran-snow, r-cran-foreach, r-cran-iterators
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-dosnow
 Vcs-Git: https://salsa.debian.org/edd/r-cran-dosnow.git
 Homepage: https://cran.r-project.org/package=doSNOW

## r-cran-dosnow 1.0.20

=== DESCRIPTION ===
Package: doSNOW
Type: Package
Title: Foreach Parallel Adaptor for the 'snow' Package
Version: 1.0.20
Authors@R: c(person("Folashade", "Daniel", role="cre", email = "fdaniel@microsoft.com"), 
             person("Microsoft", "Corporation", role=c("aut","cph")),
             person("Stephen", "Weston", role="aut"))
Description: Provides a parallel backend for the %dopar% function using
        the snow package of Tierney, Rossini, Li, and Sevcikova.
Depends: R (>= 2.5.0), foreach(>= 1.2.0), iterators(>= 1.0.0), snow(>=
        0.3.0), utils
Suggests: compiler, RUnit, caret, mlbench, rpart, parallel
License: GPL-2
NeedsCompilation: no
Packaged: 2022-01-16 18:34:00 UTC; folashade
Author: Folashade Daniel [cre],
  Microsoft Corporation [aut, cph],
  Stephen Weston [aut]
Maintainer: Folashade Daniel <fdaniel@microsoft.com>
Repository: CRAN
Date/Publication: 2022-02-04 16:20:06 UTC

=== debian/changelog ===
r-cran-dosnow (1.0.20-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Feb 2022 09:04:07 -0600

r-cran-dosnow (1.0.19-2) unstable; urgency=medium

  * debian/control: Remove Depends on r-cran-multicore which is no longer needed

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Dec 2021 08:52:40 -0600

=== debian/control ===
Source: r-cran-dosnow
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r, r-cran-snow, r-cran-foreach, r-cran-iterators
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-dosnow
Vcs-Git: https://salsa.debian.org/edd/r-cran-dosnow.git
Homepage: https://cran.r-project.org/package=doSNOW

Package: r-cran-dosnow
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, r-cran-foreach, r-cran-iterators, r-cran-snow
Description: GNU R parallel excution backend for %dopar% using snow
 This package provides a parallel backend for the %dopar% function using
 Luke Tierney's snow package (which itself can wrap MPI, PVM, NWS or sockets).

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/doSNOW_([-0-9\.]*)\.tar.gz
